Package com.complexible.common.rdf.query

# Class SPARQLUpdateDataBlockParser

java.lang.Object
com.stardog.stark.io.turtle.TurtleParser
com.stardog.stark.io.trig.TrigParser
com.complexible.common.rdf.query.SPARQLUpdateDataBlockParser

All Implemented Interfaces:
  `RDFParser`

public class SPARQLUpdateDataBlockParser extends TrigParser
An extension of `TrigParser` that processes data in the format specified in the SPARQL 1.1 grammar for Quad data (assuming no variables, as is the case for INSERT DATA and DELETE DATA operations). This format is almost completely compatible with TriG, except for three differentces:

- it introduces the 'GRAPH' keyword in front of each named graph identifier
- it does not allow the occurrence of blank nodes.
- it does not require curly braces around the default graph.

Author:
  Jeen Broekstra
See Also:
  - SPARQL 1.1 Grammar production for INSERT DATA
  - SPARQL 1.1 Grammar production for DELETE DATA

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SPARQLUpdateDataBlockParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RDFFormat`
  `format()`
  The format this parser can parse
  `boolean`
  `isAllowBlankNodes()`
  `protected void`
  `parseGraph(TurtleParserContext theContext, boolean theGraphKeywordWasUsed)`
  `protected Resource`
  `parseImplicitBlank(TurtleParserContext theContext)`
  `protected BNode`
  `parseNodeID(IOParserContext theContext)`
  `void`
  `setAllowBlankNodes(boolean allowBlankNodes)`

  ### Methods inherited from class com.stardog.stark.io.trig.TrigParser

  `parseDirective, parseStatement, parseTriples`

  ### Methods inherited from class com.stardog.stark.io.turtle.TurtleParser

  `parse, parseBase, parseCollection, parseEmbeddedTriple, parseLongString, parseNumber, parseObject, parseObjectList, parsePredicate, parsePredicateObjectList, parsePredicateWithEdgeProperties, parsePrefixID, parseQNameOrBoolean, parseQuotedLiteral, parseQuotedString, parseString, parseSubject, parseSubjectResource, parseURI, parseValue, processComment, skipWSC`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.stardog.stark.io.RDFParser

  `parse`

- ## Constructor Details

  - ### SPARQLUpdateDataBlockParser

    public SPARQLUpdateDataBlockParser()

- ## Method Details

  - ### format

    public RDFFormat format()
    Description copied from class: `TrigParser`
    The format this parser can parse
    Specified by:
      `format` in interface `RDFParser`
    Overrides:
      `format` in class `TrigParser`
    Returns:
      the format

  - ### parseGraph

    protected void parseGraph(@Nonnull TurtleParserContext theContext, boolean theGraphKeywordWasUsed) throws IOException, InvalidRDF, RDFHandlerException
    Overrides:
      `parseGraph` in class `TrigParser`
    Throws:
      `IOException`
      `InvalidRDF`
      `RDFHandlerException`

  - ### parseImplicitBlank

    @Nonnull protected Resource parseImplicitBlank(@Nonnull TurtleParserContext theContext) throws IOException, InvalidRDF, RDFHandlerException
    Overrides:
      `parseImplicitBlank` in class `TurtleParser`
    Throws:
      `IOException`
      `InvalidRDF`
      `RDFHandlerException`

  - ### parseNodeID

    @Nonnull protected BNode parseNodeID(@Nonnull IOParserContext theContext) throws IOException, InvalidRDF
    Overrides:
      `parseNodeID` in class `TurtleParser`
    Throws:
      `IOException`
      `InvalidRDF`

  - ### isAllowBlankNodes

    public boolean isAllowBlankNodes()
    Returns:
      Returns the allowBlankNodes.

  - ### setAllowBlankNodes

    public void setAllowBlankNodes(boolean allowBlankNodes)
    Parameters:
      `allowBlankNodes` - The allowBlankNodes to set.